const fs = require('fs-extra');
const path = require('path');

const sourceDir = path.join(__dirname, 'dist');
const targetDir = path.join(__dirname, './service/web');

// 检查目标目录是否存在
if (!fs.existsSync(targetDir)) {
  fs.emptyDirSync(targetDir); // 如果不存在，创建一个空目录
}

try {
  fs.copySync(sourceDir, targetDir);
  console.log('Files copied successfully!');
} catch (err) {
  console.error('Error copying files:', err);
}